@echo off
rem ---------------------------------------------------------------------------
rem Startup script for the WSDLJava
rem
rem Environment Variable Prequisites
rem
rem   UNIFIED_HOME      Must point at your WSO2 WSAS directory
rem
rem   JAVA_HOME       Must point at your Java Development Kit installation.
rem
rem   JAVA_OPTS       (Optional) Java runtime options
rem ---------------------------------------------------------------------------
set CURRENT_DIR=%cd%

rem Make sure prerequisite environment variables are set
if not "%JAVA_HOME%" == "" goto gotJavaHome
echo The JAVA_HOME environment variable is not defined
echo This environment variable is needed to run this program
goto end
:gotJavaHome
if not exist "%JAVA_HOME%\bin\java.exe" goto noJavaHome
goto okJavaHome
:noJavaHome
echo The JAVA_HOME environment variable is not defined correctly
echo This environment variable is needed to run this program
echo NB: JAVA_HOME should point to a JDK/JRE
goto end
:okJavaHome

rem check the UNIFIED_HOME environment variable
if not "%UNIFIED_HOME%" == "" goto gotHome
set UNIFIED_HOME=%CURRENT_DIR%
if exist "%UNIFIED_HOME%\bin\wso2-server.bat" goto okHome

rem guess the home. Jump one directory up to check if that is the home
cd ..
set UNIFIED_HOME=%cd%
cd %UNIFIED_HOME%

:gotHome
if exist "%UNIFIED_HOME%\bin\wso2-server.bat" goto okHome

rem set UNIFIED_HOME=%~dp0..
if exist "%UNIFIED_HOME%\bin\wso2-server.bat" goto okHome

echo The UNIFIED_HOME environment variable is not defined correctly
echo This environment variable is needed to run this program
goto end

:okHome
rem set the classes
setlocal EnableDelayedExpansion
rem loop through the libs and add them to the class path
cd "%UNIFIED_HOME%"
set UNIFIED_CLASSPATH=.\conf
FOR %%C in ("%UNIFIED_HOME%\lib\*.jar") DO set UNIFIED_CLASSPATH=!UNIFIED_CLASSPATH!;".\lib\%%~nC%%~xC"

rem ----- Execute The Requested Command ---------------------------------------
echo Using UNIFIED_HOME:   %UNIFIED_HOME%
echo Using JAVA_HOME:    %JAVA_HOME%
set _RUNJAVA="%JAVA_HOME%\bin\java"

%_RUNJAVA% %JAVA_OPTS% -cp "%UNIFIED_CLASSPATH%" -Dcarbon.home="%UNIFIED_HOME%"  org.wso2.carbon.Main %*
endlocal
:end

